猴米5刷机报错assert failed(xiaomi.verify_modem("2017-04-11") == "1");

猴米5代号gemini,刷机lineage包。

lineage官方网址:https://www.lineageos.org/

中国科学技术大学开源软件镜像有lineage镜像,向开源致敬,感谢中国科学技术大学!http://mirrors.ustc.edu.cn/lineageos/full/gemini/

刷入包的时候报错:assert failed(xiaomi.verify_modem(“2017-04-11”) == “1”);

只需要把压缩包内\META-INF\com\google\android\updater-script文件拖出来,assert(xiaomi.verify_modem("2017-04-11") == "1");这段内容删掉,再拖回压缩包即可正常刷入。


后记。。这是个什么东西?鬼知道这是个什么东西啊!据说是这样?

猴米5从20170418以后,需要更新新的firmware,才可以安装新版本的OS。可以从下面的连接下载相关包,twrp刷入,推荐用上面的方法直接改行代码,吼啊。
https://forum.xda-developers.com/mi-5/development/tool-flashable-firmware-twrp-easy-t3474898

转载请注明原作者,如果你觉得文章对你有帮助或启发,也可以来请我喝咖啡

点赞

  1. 贝丶贝说道:

    吼啊 感谢啊。。assert failed(gemini.verify_modem(“2017-04-11”) == “1”); 不过我的是这样的。刷aicp的时候出现这个。。。 删掉就好了 这个是什么东西?

  2. 贝丶贝说道:

    貌似是底包?我看论坛刷LOS也是需要刷firmware才可以刷。然后后来刷魔趣的时候怎么弄都是错误7..最后没办法我先卡刷了最新开发版底包再刷魔趣就好了。。。

    1. 王子龙说道:

      嗯嗯,那就是底包了。miui现在又不良心了,哦不,adui。。

    2. 王子龙说道:

      嗯嗯,那就是底包了。miui现在又不良心了,哦不,adui。。

发表评论

电子邮件地址不会被公开。 必填项已用*标注